# Changelog

## 0.5.0 - 2021-08-16
```diff
+ Revamp of the entire module
+ Type Hinting
+ Native S3-integration with boto3
+ Member management
+ Metadata preset configuration in ResourceForm
+ Various code examples
- DOCStrings
- breaking changes to previous versions
```

## 0.4.0 - 2021-06-02
```diff
+ Added Resource creator (Limitation: No Default Metadata Configuration possible as of now)
+ Moved Documentation to GitLab Wiki
+ Extended Documentation
```

## 0.3.2 - 2021-05-26
```diff
+ Improved DOCstrings
+ Improved Documentation
+ Fixed some issues
+ Added functionality to modify existing metadata with the MetadataForm
+ Added caching
+ Improved visual feedback / logging
```

## 0.3.0 - 2021-05-12
```diff
+ DOCstrings in sourcecode
+ Added Project creator
+ Added verbose mode with progress bars for visual feedback
+ Added colors
+ Fixed Linked Data Resource Handling
+ Adapted to new REST API upload method
+ Added filtering to getter functions like get_projects and get_resources
+ Added dedicated Documentation
+ Added basic Examples
+ Added more error messages
+ Switched to connection pooling for better system resource utilization
- Renamed metadata template to MetadataForm
```

## 0.2.0 - 2021-04-12
```diff
+ Improved Metadata Management
+ Improved package structure
+ Added PyPi Support
+ Added Changelog, revised README
+ Improved Error Handling
- Removed rdflib, pySHACL dependencies
- Removed shacl application profiles
```

## 0.1.0 - 2021-03-31
```diff
+ Initial Release
```