# Coscine Explorer

This is a *Windows Explorer*-esque File Browser for Coscine. It serves as an example for
the integration of the Coscine python client into GUI applications and demonstrates
asynchronous requests using a threadpool.
It is minimal with regards to features and is by no means a replacement for the web interface.
However it might give you some ideas or may even serve as a starting point for your application!

Most of the functionality implemented is bare bones and most things are not implemented. Keep that
in mind when encountering stuff like the "Metadata Manager" which is actually just a dummy, to
demonstrate the use of Coscine Input Forms. If you like you could implement and develop some
of these functions - feel free to open a merge request.

![Screenshot](data/screenshot1.png)

![Metadata Editor](data/screenshot2.png)